Jupiter ERP
Account API

Get file

/api/account/files/{id}

GETHTTP
get/api/account/files/{id}

Example request

GET https://api.jupiter-erp.com/api/account/files/example-id

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/files/example-id' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Parameters

NameInRequiredDescription
idpathyes

Responses

200OK
FieldTypeDescription
categorystring
contactobject
FieldTypeDescription
avatarobject
FieldTypeDescription
urlstring
namestring
contact_idinteger
created_atstring (date-time)Creation timestamp in ISO 8601 format.
created_byobject
FieldTypeDescription
image_urlstring
namestring
created_user_idinteger
datestring
deleted_atstring (date-time)Creation timestamp in ISO 8601 format.
file_bytesinteger
file_extstring
file_name*string
file_typestring
folderobject
FieldTypeDescription
name*string
pathstringFull folder path from root to the file's folder (parent segments joined with " / ").
folder_idinteger
id*integer
is_xmlboolean
newboolean
notesstring
owner_entity_idintegerID of the owner entity within the account.
owner_entity_labelstringCached display label of the linked owner entity (e.g. invoice number).
owner_entity_typestringAPI entity type of the owner (e.g. Invoice, Receipt).
protectedboolean
reference_numberstring
scanned_atstring
thumbnail_urlstring
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
urlstring
Example response
{
  "id": 0,
  "category": "string",
  "date": "string",
  "reference_number": "string",
  "protected": true,
  "new": true,
  "file_name": "string"
}
Files

Questions about integration?

GET /api/account/files/{id} · Jupiter ERP